=== debian/changelog ===
icinga2 (2.13.6-2+deb12u2) bookworm; urgency=medium

  * Team upload.
  * Add upstream patch to fix CVE-2024-49369.
    (closes: #1087384)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Nov 2024 18:57:26 +0100

icinga2 (2.13.6-2+deb12u1) bookworm; urgency=medium

  * Team upload.
  * Update branch in gbp.conf & Vcs-Git URL.
  * Fix segfault on startup on ppc64el.
    (closes: #1068473)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Apr 2024 14:02:31 +0200

icinga2 (2.13.6-2) unstable; urgency=medium

  * Team upload.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add tzdata to build dependencies for timeperiod/dst test.
    (closes: #1029422)
  * Replace lsb-base dependency with sysvinit-utils (>= 3.05-4~).

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jan 2023 17:36:37 +0100

icinga2 (2.13.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Nov 2022 19:51:49 +0100

icinga2 (2.13.5-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Drop obsolete libwxgtk3.0-gtk3-dev build dependency.
    (closes: #1019814)
  * Update lintian overrides.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake, g++ and make.
    + icinga2-bin: Drop versioned constraint on icinga2-common in Replaces.
    + icinga2-bin: Drop versioned constraint on icinga2-common in Breaks.
  * Apply multi-arch hints.
    + icinga2-doc: Add Multi-Arch: foreign.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Oct 2022 05:31:01 +0200
