## icinga2 2.13.6+498.gb585e20a4

=== debian/changelog ===
icinga2 (2.13.6+498.gb585e20a4-1670018608+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.6+498.gb585e20a4-1670018608

 -- Icinga GmbH <info@icinga.com>  Fri, 02 Dec 2022 22:04:13 +0000
