## icinga2 2.13.6+502.g4b754637f

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 cmake_minimum_required(VERSION 2.8.8)
 set(BOOST_MIN_VERSION "1.66.0")
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 project(icinga2)
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -284,6 +287,3 @@
   set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-export-dynamic")
 endif()
 
-check_cxx_linker_flag("-Bsymbolic-functions" LD_SYMBOLIC_FUNCTIONS)
-
-if(LD_SYMBOLIC_FUNCTIONS)
