=== debian/changelog ===
icinga2 (2.13.6+502.g4b754637f-1672839497+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.6+502.g4b754637f-1672839497

 -- Icinga GmbH <info@icinga.com>  Wed, 04 Jan 2023 13:39:18 +0000
