## icinga2 2.13.6+505.gdd51997c7

=== debian/changelog ===
icinga2 (2.13.6+505.gdd51997c7-1673042611+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.6+505.gdd51997c7-1673042611

 -- Icinga GmbH <info@icinga.com>  Fri, 06 Jan 2023 22:04:19 +0000
