## icinga2 2.13.6+546.g11e37a0bd

=== debian/changelog ===
icinga2 (2.13.6+546.g11e37a0bd-1674252202+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.6+546.g11e37a0bd-1674252202

 -- Icinga GmbH <info@icinga.com>  Fri, 20 Jan 2023 22:03:52 +0000
