## icinga2 2.13.6+573.g2ea866248

=== debian/changelog ===
icinga2 (2.13.6+573.g2ea866248-1675163600+debian10) icinga; urgency=medium

  * Release 2.13.6+573.g2ea866248-1675163600

 -- Icinga GmbH <info@icinga.com>  Tue, 31 Jan 2023 11:14:06 +0000
