=== debian/changelog ===
icinga2 (2.13.6+599.g14d7ee277-1675461810+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.6+599.g14d7ee277-1675461810

 -- Icinga GmbH <info@icinga.com>  Fri, 03 Feb 2023 22:04:06 +0000
