## icinga2 2.13.6+609.ge074e892c

=== debian/changelog ===
icinga2 (2.13.6+609.ge074e892c-1676066609+debian10) icinga; urgency=medium

  * Release 2.13.6+609.ge074e892c-1676066609

 -- Icinga GmbH <info@icinga.com>  Fri, 10 Feb 2023 22:04:05 +0000
