## icinga2 2.13.7

=== debian/changelog ===
icinga2 (2.13.7-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Feb 2023 20:47:13 +0100
