=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                tzdata
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/nagios-team/icinga2
-Vcs-Git: https://salsa.debian.org/nagios-team/icinga2.git -b bookworm
+Vcs-Git: https://salsa.debian.org/nagios-team/icinga2.git -b experimental
 Homepage: https://icinga.com
 Rules-Requires-Root: no
