## icinga2 2.13.7+624.ge4c34786e

=== lib/base/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 mkclass_target(datetime.ti datetime-ti.cpp datetime-ti.hpp)
 mkclass_target(filelogger.ti filelogger-ti.cpp filelogger-ti.hpp)
 mkclass_target(function.ti function-ti.cpp function-ti.hpp)
+mkclass_target(journaldlogger.ti journaldlogger-ti.cpp journaldlogger-ti.hpp)
 mkclass_target(logger.ti logger-ti.cpp logger-ti.hpp)
 mkclass_target(perfdatavalue.ti perfdatavalue-ti.cpp perfdatavalue-ti.hpp)
 mkclass_target(streamlogger.ti streamlogger-ti.cpp streamlogger-ti.hpp)
@@ -38,6 +39,7 @@
   function.cpp function.hpp function-ti.hpp function-script.cpp functionwrapper.hpp
   initialize.cpp initialize.hpp
   io-engine.cpp io-engine.hpp
+  journaldlogger.cpp journaldlogger.hpp journaldlogger-ti.hpp
   json.cpp json.hpp json-script.cpp
   lazy-init.hpp
   library.cpp library.hpp
@@ -114,7 +116,10 @@
   install(TARGETS eventprovider LIBRARY DESTINATION ${CMAKE_INSTALL_SBINDIR})
 endif()
 
-set_property(SOURCE ${CMAKE_CURRENT_SOURCE_DIR}/application-version.cpp PROPERTY EXCLUDE_UNITY_BUILD TRUE)
+set_property(
+  SOURCE ${CMAKE_CURRENT_SOURCE_DIR}/application-version.cpp ${CMAKE_CURRENT_SOURCE_DIR}/journaldlogger.cpp
+  PROPERTY EXCLUDE_UNITY_BUILD TRUE
+)
 
 if(ICINGA2_UNITY_BUILD)
   mkunity_target(base base base_SOURCES)
@@ -125,6 +130,11 @@
     NAMES systemd/sd-daemon.h
     HINTS ${SYSTEMD_ROOT_DIR})
   include_directories(${SYSTEMD_INCLUDE_DIR})
+  set_property(
+    SOURCE ${CMAKE_CURRENT_SOURCE_DIR}/journaldlogger.cpp
+    APPEND PROPERTY COMPILE_DEFINITIONS
+    SD_JOURNAL_SUPPRESS_LOCATION
+  )
 endif()
 
 add_library(base OBJECT ${base_SOURCES})
