=== debian/changelog ===
icinga2 (2.13.7+624.ge4c34786e-1676671418+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+624.ge4c34786e-1676671418

 -- Icinga GmbH <info@icinga.com>  Fri, 17 Feb 2023 22:04:31 +0000
