## icinga2 2.13.7+636.g8281527c1

=== debian/changelog ===
icinga2 (2.13.7+636.g8281527c1-1677276218+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+636.g8281527c1-1677276218

 -- Icinga GmbH <info@icinga.com>  Fri, 24 Feb 2023 22:04:09 +0000
