=== debian/changelog ===
icinga2 (2.13.7+640.gca3c24b31-1677881011+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+640.gca3c24b31-1677881011

 -- Icinga GmbH <info@icinga.com>  Fri, 03 Mar 2023 22:04:04 +0000
