## icinga2 2.13.7+644.g66b039df9

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 option(ICINGA2_WITH_COMPAT "Build the compat module" ${ICINGA2_MASTER})
 option(ICINGA2_WITH_LIVESTATUS "Build the Livestatus module" ${ICINGA2_MASTER})
 option(ICINGA2_WITH_NOTIFICATION "Build the notification module" ON)
-option(ICINGA2_WITH_PERFDATA "Build the perfdata module" ON)
+option(ICINGA2_WITH_PERFDATA "Build the perfdata module" ${ICINGA2_MASTER})
 option(ICINGA2_WITH_TESTS "Run unit tests" ON)
 option(ICINGA2_WITH_ICINGADB "Build the IcingaDB module" ${ICINGA2_MASTER})
