=== debian/changelog ===
icinga2 (2.13.7+644.g66b039df9-1679695410+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+644.g66b039df9-1679695410

 -- Icinga GmbH <info@icinga.com>  Fri, 24 Mar 2023 22:04:07 +0000
