=== debian/changelog ===
icinga2 (2.13.7+654.g41065e30c-1680300210+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+654.g41065e30c-1680300210

 -- Icinga GmbH <info@icinga.com>  Fri, 31 Mar 2023 22:04:07 +0000
