## icinga2 2.13.7+672.g8228fae74

=== debian/changelog ===
icinga2 (2.13.7+672.g8228fae74-1681509813+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+672.g8228fae74-1681509813

 -- Icinga GmbH <info@icinga.com>  Fri, 14 Apr 2023 22:04:06 +0000
