## icinga2 2.13.7+676.ga15ce7fc7

=== debian/changelog ===
icinga2 (2.13.7+676.ga15ce7fc7-1682114611+ubuntu22.04) icinga; urgency=medium

  * Release 2.13.7+676.ga15ce7fc7-1682114611

 -- Icinga GmbH <info@icinga.com>  Fri, 21 Apr 2023 22:04:00 +0000
